<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_ba1baa4a3de03b5800b6b1fe" . "8373eff8" => base64_decode("V3Jvbmcgb2JqZWN0IHR" . "5cGUgZm9yIHN1YnNjcm" . "lwdGlvbg=="), "_a5b8a957b6bb889a65d0110f7df85f" . "f0" => base64_decode("REVTQw=" . "="), "_560de4dbb7ada33433ab8" . "eb203ea7594" => base64_decode("YWdncmVnYXRpb24g" . "PSBpbnQ6YWdncmVn" . "YXRpb24="), "_685d6aaf0e389384c72a2bd5eba74" . "865" => base64_decode("dXNlcl9pZ" . "CA9IGludD" . "p1c2VyX2l" . "k"), "_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14" => base64_decode("aXNfbnVsbA" . "=="), "_23c2134692e18d57a51fbf51" . "ee6dd02a" => base64_decode("b2JqZWN0X2lkID0gaW50Om9iamVjdF" . "9pZA=="), "_aad69d28db3e41beebdea2f379" . "f70b85" => base64_decode("bm90aWZpY2F0aW9" . "uLm5vdF9mb3VuZA" . "=="), "_565d34054550d" . "362c80f48727de" . "09d24" => base64_decode("bm90aWZpY2F0aW9uX" . "3N1YnNjcmlwdGlvbn" . "M="), "_e970414571a994439cfa1219" . "524a6174" => base64_decode("ZXZlbnQgPSBpbnQ6ZXZlbn" . "Q="), "_c4f7cd6333dbdf9cd23" . "45b781a02f4f9" => base64_decode("b25jZSA9IG" . "ludDpvbmNl"), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "_aa7e860da1acd4e767e0df9d7d40738" . "0" => base64_decode("ZGF0" . "ZV9j" . "cmVh" . "dGVk"), "_1dacd987c84cc280" . "826c9780df66c92f" => base64_decode("aXNfYWN0aXZlX3N1YnNjcmlwdGl" . "vbg=="));






class NotificationSubscription extends DBObject
{
    protected $id;
    protected $user_id;
    protected $aggregation;
    protected $object_id;
    protected $event;
    protected $once;
    protected $date_created;
    protected $is_active_subscription;
    
    
    
    
    
    
    
    
    public function __construct($_b15aac3aa29c10ea6d1228f58cb9a7e8 = 0, $event = 0, $_d430feef04e2081c6a19d73f26e855dc = false, $user_id = null)
    {
        $this->TABLE_NAME = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_565d34054550d36" . "2c80f48727de09d2" . "4"];
        $this->DATE_FIELDS = array($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_aa7e860" . "da1acd4e" . "767e0df9" . "d7d40738" . "0"]);
        $this->SetOrderFields(array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aa7e860da1a" . "cd4e767e0df9" . "d7d407380"] => $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a5b8a957b6bb889a65d" . "0110f7df85ff0"]));
        $_50eb88f32296e9d31eb6e8c8f50e9ea0 = new Date();
        $this->date_created = $_50eb88f32296e9d31eb6e8c8f50e9ea0->getDate();
        $this->id = -1;
        $this->is_active_subscription = false;
        $this->event = $event;
        $this->once = $_d430feef04e2081c6a19d73f26e855dc ? 1 : 0;
        if (!$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14"]($user_id)) {
            $this->user_id = $user_id;
        } else {
            $this->user_id = AuthUser::I()->GetId();
        }
        if ($_b15aac3aa29c10ea6d1228f58cb9a7e8) {
            $this->SetObject($_b15aac3aa29c10ea6d1228f58cb9a7e8);
        }
        if ($this->object_id && $this->aggregation && $event) {
            $this->is_active_subscription = false;
            $_03e9164d0a343b742df4793268b80767 = $this->GenerateSelect();
            $_03e9164d0a343b742df4793268b80767->AddWhereAndClause($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_685d6aaf0e389384c72a2bd5eba74" . "865"], $this->user_id);
            $_03e9164d0a343b742df4793268b80767->AddWhereAndClause($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_560de4dbb7ad" . "a33433ab8eb20" . "3ea7594"], $this->aggregation);
            $_03e9164d0a343b742df4793268b80767->AddWhereAndClause($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_23c2134692e18d57a51f" . "bf51ee6dd02a"], $this->object_id);
            $_03e9164d0a343b742df4793268b80767->AddWhereAndClause($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_e970414571a994439cfa1219524a6" . "174"], $this->event);
            $_03e9164d0a343b742df4793268b80767->AddWhereAndClause($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c4f7cd6333dbdf9cd2345b7" . "81a02f4f9"], $this->once);
            $_189840d11056515e52402d1412a0b6e4 = $this->GetAll($_03e9164d0a343b742df4793268b80767, 1);
            if (!empty($_189840d11056515e52402d1412a0b6e4)) {
                $_0caa59d0ba19dc22905e706434b2362d = $_189840d11056515e52402d1412a0b6e4[0];
                $this->id = $_0caa59d0ba19dc22905e706434b2362d->id;
                $this->date_created = $_0caa59d0ba19dc22905e706434b2362d->date_created;
                $this->is_active_subscription = true;
            }
        }
    }
    
    
    
    
    
    
    
    public function IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425)
    {
        return $_40421a4e75c2ba3c82b018e6b56f7425 == $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1dacd987c84cc280826c9780d" . "f66c92f"] || parent::IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425);
    }
    
    
    
    
    
    
    
    public function Load($id = -1)
    {
        try {
            parent::Load($id);
        } catch (Exception $_6359ab1a9c56f5f77a02e3082a95a38c) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_0c5123aa74" . "4f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_aad69d28db3e41beebdea" . "2f379f70b85"]));
        }
        $this->is_active_subscription = true;
        return true;
    }
    
    
    
    
    
    
    public function Save()
    {
        if ($this->is_active_subscription) {
            parent::Save();
        } else {
            if ($this->id > 0) {
                parent::Delete();
            }
        }
        return true;
    }
    
    
    
    
    
    
    public function GetId()
    {
        return $this->id;
    }
    
    
    
    
    
    
    public function GetSubscriberId()
    {
        return $this->user_id;
    }
    
    
    
    
    
    
    
    protected function SetSubscriberId($user_id)
    {
        $this->user_id = $user_id;
        return true;
    }
    
    
    
    
    
    
    public function GetAggregation()
    {
        return $this->aggregation;
    }
    
    
    
    
    
    
    public function GetObjectId()
    {
        return $this->object_id;
    }
    
    
    
    
    
    
    
    protected function SetObject($_b15aac3aa29c10ea6d1228f58cb9a7e8)
    {
        if (!$_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof ClaAggregation) {
            throw new Exception($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_ba1baa4a3de03b5800" . "b6b1fe8373eff8"]);
        }
        $this->aggregation = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetAggregation();
        if ($_b15aac3aa29c10ea6d1228f58cb9a7e8 instanceof ERMSDocument) {
            
            
            $this->object_id = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetDocID();
        } else {
            $this->object_id = $_b15aac3aa29c10ea6d1228f58cb9a7e8->GetId();
        }
        return true;
    }
    
    
    
    
    
    
    public function GetEvent()
    {
        return $this->event;
    }
    
    
    
    
    
    
    
    protected function SetEvent($event)
    {
        $this->event = $event;
        return true;
    }
    
    
    
    
    
    
    public function IsOnce()
    {
        return $this->once ? true : false;
    }
    
    
    
    
    
    
    
    protected function SetOnce($_d430feef04e2081c6a19d73f26e855dc)
    {
        $this->once = $_d430feef04e2081c6a19d73f26e855dc ? 1 : 0;
        return true;
    }
    
    
    
    
    
    
    public function IsActive()
    {
        return $this->is_active_subscription;
    }
    
    
    
    
    
    
    
    public function SetActive($_1dacd987c84cc280826c9780df66c92f)
    {
        $this->is_active_subscription = $_1dacd987c84cc280826c9780df66c92f;
        return true;
    }
}